# Recommendation System

Our recommendation system will offer you the products or services that users are interested in and consume. Rationale is that users of Lifelong Education Website Chiang Mai University tend to choose the same course frequently since they aren't well advertised. Learners can be both students and people of all ages. Theory is to create an algorithm to allow users to access programs that meet their needs. We will use Python to create a backend system that can deploy with websites such as Netflix, Agoda, Amazon, etc.

## Table of Contents

- [Installation](#installation)
- [Usage](#usage)
- [Contributing](#contributing)
- [License](#license)

## Installation

To install and set up the project, you can use the following command:
```
pip install isne-recommendation
```

For detailed instructions on how to install the Study Focus Recommendation System, please navigate to our installation guide on [Installation](https://isne-recommendation.gitbook.io/recommendation-system/installation). Follow the step-by-step instructions to set up the system on your machine and start enhancing your study experience today.

## Usage

After the successful installation, you can now import the get_recommendations function from these directories:

```
from TfidfLinearKernel import get_recommendations
from FeatureRatingsKNN import get_recommendations
from Hybrid import get_recommendations
```

Are you seeking to unravel the mysteries behind recommendation systems? Look no further! Dive into the comprehensive guide available at [Usage](https://isne-recommendation.gitbook.io/recommendation-system/).

## Contributing

Check out our [contribution guidelines](https://isne-recommendation.gitbook.io/recommendation-system/contributing) to learn how you can get involved. Whether it's coding, documentation, testing, or providing feedback, every contribution makes a difference and helps us create a better tool for students worldwide.

## License

**License:** MIT

Please refer to the [LICENSE](LICENSE) file for more details.
